Mombu the Php Forum sponsored links

Go Back   Mombu the Php Forum > Php > #35102 : phpinfo() shows a wrong version
User Name
Password
REGISTER NOW! Mark Forums Read

sponsored links


Reply
 
1 8th June 12:30
php-bugs@lists.php.net (alfice at r4 dot dion dot ne dot
External User
 
Posts: 1
Default #35102 : phpinfo() shows a wrong version


From: alfice at r4 dot dion dot ne dot jp
Operating system: debian 2.4.27-2
PHP version: 4.4.1
PHP Bug Type: Apache related
Bug description: phpinfo() shows a wrong version

Description:
------------
To prevent the terrible security bug, I tried to upgrade
to PHP 4.4.1 under debian.
refered http://www.hardened-php.net/advisory_202005.79.html

# wget http://www.php.net/get/php-4.4.1.tar.gz/from/jp.php.net/mirror
(It was downloaded around 4th Nov, 2005 17:30 JST)

Installation was succesfully, but I checked the PHP version,
it showed not 4.4.1 but 4.4.0 in the top of php file.
Moreover X-Powered-By showed 'PHP/4.4.0' in HTTP Response Headers section.

Reproduce code:
---------------
1.
make a html file including phpinfo().
# echo '<? phpinfo() ?>' > /home/php/info.php
(output file was set in www root of apache 1.3.33.)

2.
browse the info.php with a latest IE and firefox.
http://<web_server_IP>/info.php

Expected result:
----------------
PHP Version should shows 4.4.1.


--
Edit bug report at http://bugs.php.net/?id=35102&edit=1
--
Try a CVS snapshot (php4): http://bugs.php.net/fix.php?id=35102&r=trysnapshot4
Try a CVS snapshot (php5.0): http://bugs.php.net/fix.php?id=35102&r=trysnapshot50
Try a CVS snapshot (php5.1): http://bugs.php.net/fix.php?id=35102&r=trysnapshot51
Fixed in CVS: http://bugs.php.net/fix.php?id=35102&r=fixedcvs
Fixed in release: http://bugs.php.net/fix.php?id=35102&r=alreadyfixed
Need backtrace: http://bugs.php.net/fix.php?id=35102&r=needtrace
Need Reproduce Script: http://bugs.php.net/fix.php?id=35102&r=needscript
Try newer version: http://bugs.php.net/fix.php?id=35102&r=oldversion
Not developer issue: http://bugs.php.net/fix.php?id=35102&r=support
Expected behavior: http://bugs.php.net/fix.php?id=35102&r=notwrong
Not enough info: http://bugs.php.net/fix.php?id=35102&r=notenoughinfo
Submitted twice: http://bugs.php.net/fix.php?id=35102&r=submittedtwice
register_globals: http://bugs.php.net/fix.php?id=35102&r=globals
PHP 3 support discontinued: http://bugs.php.net/fix.php?id=35102&r=php3
Daylight Savings: http://bugs.php.net/fix.php?id=35102&r=dst
IIS Stability: http://bugs.php.net/fix.php?id=35102&r=isapi
Install GNU Sed: http://bugs.php.net/fix.php?id=35102&r=gnused
Floating point limitations: http://bugs.php.net/fix.php?id=35102&r=float
No Zend Extensions: http://bugs.php.net/fix.php?id=35102&r=nozend
MySQL Configuration Error: http://bugs.php.net/fix.php?id=35102&r=mysqlcfg
  Reply With Quote


  sponsored links


2 8th June 12:30
derick
External User
 
Posts: 1
Default #35102 : phpinfo() shows a wrong version


ID: 35102
Updated by: derick@php.net
Reported By: alfice at r4 dot dion dot ne dot jp
-Status: Open
+Status: Bogus
Bug Type: Apache related
Operating System: debian 2.4.27-2
PHP Version: 4.4.1
New Comment:

Sorry, but your problem does not imply a bug in PHP itself. For a
list of more appropriate places to ask for help using PHP, please
visit http://www.php.net/support.php as this bug system is not the
appropriate forum for asking support questions. Due to the volume
of reports we can not explain in detail here why your report is not
a bug. The support channels will be able to provide an explanation
for you.

Thank you for your interest in PHP.

You didn't install it properly then, as the version numbers in the
4.4.1 release are definitely correct.


Previous Comments:
------------------------------------------------------------------------

[2005-11-04 10:51:53] alfice at r4 dot dion dot ne dot jp

Description:
------------
To prevent the terrible security bug, I tried to upgrade
to PHP 4.4.1 under debian.
refered http://www.hardened-php.net/advisory_202005.79.html

# wget http://www.php.net/get/php-4.4.1.tar.gz/from/jp.php.net/mirror
(It was downloaded around 4th Nov, 2005 17:30 JST)

Installation was succesfully, but I checked the PHP version,
it showed not 4.4.1 but 4.4.0 in the top of php file.
Moreover X-Powered-By showed 'PHP/4.4.0' in HTTP Response Headers
section.

Reproduce code:
---------------
1.
make a html file including phpinfo().
# echo '<? phpinfo() ?>' > /home/php/info.php
(output file was set in www root of apache 1.3.33.)

2.
browse the info.php with a latest IE and firefox.
http://<web_server_IP>/info.php

Expected result:
----------------
PHP Version should shows 4.4.1.

------------------------------------------------------------------------


--
Edit this bug report at http://bugs.php.net/?id=35102&edit=1
  Reply With Quote


  sponsored links


Reply


Thread Tools
Display Modes




Copyright 2006 SmartyDevil.com - Dies Mies Jeschet Boenedoesef Douvema Enitemaus -
666